#ifndef TMDEADNOISY_H
#define TMDEADNOISY_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGLabel.h>
#include <TGTextEntry.h>

class TGCheckButton;

class TMDeadNoisy : public TGTransientFrame {
    
  RQ_OBJECT("TMDeadNoisy")

 public:
    
  TMDeadNoisy(const TGWindow* p, const TGWindow *main, Int_t sendID);
  virtual ~TMDeadNoisy();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

		
 private:

  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[3];
  TGLabel               *fLabel1, *fLabel2, *fLabel3;
  TGTextEntry		*fText1, *fText2;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGLabel		*fLabel;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Int_t                 fSendID;

  enum EEvents {
    TEXT_VAL1,
    TEXT_VAL2,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
  };

  ClassDef(TMDeadNoisy, 1);
};

#endif
